<?php

if ( ! function_exists( 'great_business_enqueue_styles' ) ) :

	function great_business_enqueue_styles() {
		wp_enqueue_style( 'slick', get_theme_file_uri() . '/slick.css' );

		wp_enqueue_style( 'slick-theme', get_theme_file_uri() . '/slick-theme.css' );

		wp_enqueue_style( 'great-business-style-parent', get_template_directory_uri() . '/style.css' );

		wp_enqueue_style( 'great-business-style', get_stylesheet_directory_uri() . '/style.css', array( 'great-business-style-parent' ), '1.0.0' );

		wp_enqueue_script( 'slick-js', get_theme_file_uri() . '/slick.js' );

		wp_enqueue_script( 'great-business-custom', get_theme_file_uri() . '/custom.js', array(), '1.0', true );
	}

endif;

add_action( 'wp_enqueue_scripts', 'great_business_enqueue_styles', 99 );

function great_business_customize_control_style() {

	// simple icon picker
	wp_enqueue_style( 'simple-iconpicker-css', get_theme_file_uri() . '/simple-iconpicker.css' );

	wp_enqueue_style( 'font-awesome-css', get_template_directory_uri() . '/assets/css/font-awesome'. favblog_min() . '.css' );

	wp_enqueue_script( 'jquery-simple-iconpicker', get_theme_file_uri() . '/simple-iconpicker.js', array( 'jquery' ), '', true );

	wp_enqueue_style( 'great-business-customize-controls', get_theme_file_uri() . '/customizer-control.css' );

	wp_enqueue_script( 'great-business-customize-controls', get_theme_file_uri() . '/customizer-control.js', array(), '1.0', true );
}
add_action( 'customize_controls_enqueue_scripts', 'great_business_customize_control_style' );

require get_theme_file_path() . '/inc/customizer.php';

require get_theme_file_path() . '/inc/front-sections/slider.php';

require get_theme_file_path() . '/inc/front-sections/about.php';

require get_theme_file_path() . '/inc/front-sections/service.php';

require get_theme_file_path() . '/inc/front-sections/counter.php';

require get_theme_file_path() . '/inc/front-sections/team.php';