<?php do_action( 'favblog_doctype' ); ?>
<head>
<?php
	
	do_action( 'favblog_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class(); ?>>

<?php do_action( 'wp_body_open' ); ?>
<?php
	
	do_action( 'favblog_page_start_action' ); 

	do_action( 'favblog_header_action' );

	do_action( 'favblog_content_start_action' );

    do_action( 'favblog_header_image_action' );

		// Call home if Homepage setting is set to latest posts.
		if ( favblog_is_latest_posts() ) {

			get_template_part( 'template-parts/content', 'home' );

		} elseif ( favblog_is_frontpage() ) {

    	$options = favblog_get_theme_options();

    	$sorted = array( 'slider','about','service','counter','team','most_read' );
	
		foreach ( $sorted as $section ) {
			if ( $section == 'slider' || $section == 'about' || $section == 'service' || $section == 'counter' || $section == 'team' ) {
				add_action( 'great_business_primary_content', 'great_business_add_'. $section .'_section' );
			}else{
				add_action( 'great_business_primary_content', 'favblog_add_'. $section .'_section' );
			}	
		}

		do_action( 'great_business_primary_content' );
	}