<?php

if ( ! function_exists( 'great_business_add_counter_section' ) ) :
   
    function great_business_add_counter_section() {
        
         if ( get_theme_mod( 'counter_section_enable' ) == false ) {
            return false;
        }

        great_business_render_counter_section();
    }
endif;

if ( ! function_exists( 'great_business_render_counter_section' ) ) :
  
   function great_business_render_counter_section() {
      $image = !empty( get_theme_mod( 'counter_image' ) ) ? get_theme_mod( 'counter_image' ) : '';
      
        ?>

         <div id="favblog_counter_section">

       <div id="counter-section" class="relative page-section" style="background-image: url('<?php echo esc_url( $image ); ?>');">
                <div class="overlay"></div>
                <div class="wrapper">
                    <div class="col-4 clear">
                        
                        <?php for ( $i = 1; $i <= 4; $i++){ 
                          $value = !empty( get_theme_mod( 'counter_value_' . $i ) ) ? get_theme_mod( 'counter_value_' . $i ) : '';
                          $title = !empty( get_theme_mod( 'counter_label_' . $i ) ) ? get_theme_mod( 'counter_label_' . $i ) : '';
                          ?>

                        <article>
                            <div class="counter-item">
                            
                            <?php if( !empty( $value ) && !empty( $title ) ): ?>
                            
                                <h2 class="counter-value"><?php echo esc_html( $value ); ?></h2>
                                <h3 class="counter-title"><?php echo esc_html( $title ); ?></h3>

                              <?php endif; ?>
                            
                            </div>
                        </article>

                        <?php } ?>

                    </div>
                </div>
            </div>

            </div>
            
    <?php }
endif;